﻿using System;
using System.Windows.Forms;

namespace SampleApplication
{
    public partial class frmSample : Form
    {
        public frmSample()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 読み込みボタン押下時処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnRead_Click(object sender, EventArgs e)
        {
            try
            {
                lstImages.Items.Clear();
                imgThumbnail.Images.Clear();

                using (SWFImageReaderLibrary.SWFImageReaderLibrary objLibrary = new SWFImageReaderLibrary.SWFImageReaderLibrary())
                {
                    SWFImageReaderLibrary.SWFReadResult objReadResult = objLibrary.Read(txtFilePath.Text);

                    for (int intCount = 0; intCount < objReadResult.Count; intCount++)
                    {
                        lstImages.LargeImageList.Images.Add(objReadResult.Images[intCount].Image);
                        ListViewItem lvItem = lstImages.Items.Add(objReadResult.Images[intCount].CharacterId.ToString(), intCount);
                    }
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
